pywordnet install problems

vdrab stijndesaeger at gmail.com
Fri Sep 30 07:17:50 CEST 2005


hello pythoneers,

I recently tried to install wordnet 2.0 and pywordnet on both an ubuntu
linux running python 2.4 and a winXP running activePython 2.4.1, and I
get the exact same error on both when I try to "from wordnet import *"
:

running install
error: invalid Python installation: unable to open
/usr/lib/python2.4/config/Makefile (No such file or directory)

Adding the directories and files in question (touch Makefile) makes the
install go through but (obviously) breaks the import of wordnet.py:

>>> import wordnet
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
  File "wordnet.py", line 1348, in ?
    N = Dictionary(NOUN, 'noun')
  File "wordnet.py", line 799, in __init__
    self.indexFile = _IndexFile(pos, filenameroot)
  File "wordnet.py", line 945, in __init__
    self.rewind()
  File "wordnet.py", line 958, in rewind
    if (line[0] != ' '):
IndexError: string index out of range

Is this pywordnet package abandoned, are there weird versioning issues,
or am I just extremely unlucky for the install to fail on two machines?

any help greatly appreciated,
vdrab.




More information about the Python-list mailing list